<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');

JHtml::_('behavior.formvalidation');

?>

<div class="extly">
	<div class="extly-body">
			<?php
				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';
			?>

		<form name="adminForm" id="adminForm" action="index.php" method="post" class="form form-horizontal form-validate">

			<input type="hidden" name="option" value="com_xtdir" />
			<input type="hidden" name="view" value="ipncfgs" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="returnurl" value="<?php

			echo base64_encode('index.php?option=com_xtdir&view=cpanels');

			?>" />
			<input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

			<div class="row-fluid">
				<div class="span12">
					<legend>
						<?php echo JText::_('COM_XTDIR_TITLE_IPNCONFIGURATION'); ?>
					</legend>
				</div>
			</div>

			<div class="row-fluid">
				<div class="span12">
					<fieldset class="all_fields">

<?php
					echo '<div class="row-fluid"><div class="span6">';

					echo EHtmlSelect::booleanListControl(
							$this->item->enabled,
							'enabled', 'JSTATUS',
							'JSTATUS_DESC',
							'JPUBLISHED',
							'JUNPUBLISHED');

					echo EHtml::requiredTextControl(
							$this->item->xtform->get('merchant'),
							'xtform[merchant]',
							'COM_XTDIR_VIEW_IPNCFG_MERCHANT_LABEL',
							'COM_XTDIR_VIEW_IPNCFG_MERCHANT_DESC');

					echo EHtmlSelect::booleanListControl(
							$this->item->xtform->get('ipn_state'),
							'xtform[ipn_state]',
							'COM_XTDIR_VIEW_IPNCFG_STATE_LABEL',
							'COM_XTDIR_VIEW_IPNCFG_STATE_DESC',
							'<i class="xticon xticon-check"></i>',
							'<i class="xticon xticon-times-circle"></i>');

					echo EHtmlSelect::booleanListControl(
							$this->item->xtform->get('ipn_approved'),
							'xtform[ipn_approved]',
							'COM_XTDIR_VIEW_IPNCFG_APPROVAL_LABEL',
							'COM_XTDIR_VIEW_IPNCFG_APPROVAL_DESC',
							'<i class="xticon xticon-thumbs-up"></i>',
							'<i class="xticon xticon-thumbs-down"></i>');

					echo EHtmlSelect::yesNoControl(
							$this->item->xtform->get('ipn_mailalert', 1),
							'xtform[ipn_mailalert]',
							'COM_XTDIR_VIEW_IPNCFG_MAILALERT_LABEL',
							'COM_XTDIR_VIEW_IPNCFG_MAILALERT_DESC');


					echo EHtmlSelect::yesNoControl(
							$this->item->xtform->get('sandbox', 0),
							'xtform[sandbox]',
							'COM_XTDIR_VIEW_IPNCFG_SANDBOX_LABEL',
							'COM_XTDIR_VIEW_IPNCFG_SANDBOX_DESC');

					echo EHtml::textControl(
							$this->item->xtform->get('sandbox_merchant', ''),
							'xtform[sandbox_merchant]',
							'COM_XTDIR_VIEW_IPNCFG_SANDBOX_MERCHANT_LABEL',
							'COM_XTDIR_VIEW_IPNCFG_SANDBOX_MERCHANT_DESC');

					echo EHtml::idControl(
						$this->item->extension_id,
						'extension_id');

					echo '</div>';
					echo '<div class="span5"><div class="alert">';
					echo JText::sprintf('COM_XTDIR_VIEW_IPNCFG_HELP', JUri::root());
					echo '</div></div></div>';

?>
					</fieldset>
				</div>

			</div>
		</form>
	</div>
</div>
