<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');
FOFModel::getTmpInstance('Promotypes', 'XtdirModel');

$hasAjaxOrderingSupport = $this->hasAjaxOrderingSupport();
$ordering = ($this->lists->order == 'fordering');

$token = JFactory::getSession()->getFormToken();

if (($hasAjaxOrderingSupport) && ($ordering))
{
	EHtmlGrid::ajaxOrderingInit(CXTDIR, $this->lists->order_Dir);
}

?>
<div class="extly">
	<div class="extly-body">
			<?php

				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';

				if ($this->get('ajax_index'))
				{
					include_once JPATH_XTDIR . '/views/system/tmpl/index_progress.php';
				}

			?>
		<form name="adminForm" id="adminForm" action="index.php" method="post">
			<div class="row-fluid">
				<div class="span12">

						<input type="hidden" name="option" id="option" value="com_xtdir" />
						<input type="hidden" name="view" id="view" value="objects" />
						<input type="hidden" name="task" id="task" value="browse" />
						<input type="hidden" name="boxchecked" id="boxchecked" value="0" />
						<input type="hidden" name="hidemainmenu" id="hidemainmenu" value="0" />
						<input type="hidden" name="filter_order" id="filter_order" value="<?php echo $this->lists->order; ?>" />
						<input type="hidden" name="filter_order_Dir" id="filter_order_Dir" value="<?php echo $this->lists->order_Dir; ?>" />
						<input type="hidden" id="token" name="<?php echo $token; ?>" value="1" />

						<table class="adminlist table table-striped" id="itemsList">
<?php

	include_once 'head_title.php';
	include_once 'head_filter.php';
	include_once 'foot.php';

	include_once 'body.php';

?>
						</table>

				</div>
			</div>
<?php

	include_once 'batch.php';

?>
		</form>
	</div>
</div>
