<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');

?>
<div class="extly">
	<div class="extly-body">
			<?php
				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';
			?>
		<div class="row-fluid">
			<div class="span12">

				<form name="adminForm" id="adminForm" action="index.php"
					method="post">

					<input type="hidden" name="option" id="option" value="com_xtdir" />
					<input type="hidden" name="view" id="view" value="promoorders" />
					<input type="hidden" name="task" id="task" value="browse" />
					<input type="hidden" name="boxchecked" id="boxchecked" value="0" />
					<input type="hidden" name="hidemainmenu" id="hidemainmenu" value="0" />
					<input type="hidden" name="filter_order" id="filter_order" value="<?php echo $this->lists->order ?>" />
					<input type="hidden" name="filter_order_Dir" id="filter_order_Dir" value="<?php echo $this->lists->order_Dir ?>" />
					<input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

					<table class="adminlist table table-striped" id="itemsList">
						<thead>
							<tr>
								<th width="20"><input type="checkbox" name="toggle" value=""
									onclick="Joomla.checkAll(this);" />
								</th>

								<th><?php echo JHTML::_('grid.sort', 'COM_XTDIR_PROMOORDERS_CREATED', 'created', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th><?php echo JHTML::_('grid.sort', 'COM_XTDIR_PROMOORDERS_ORDER_NUMBER', 'order_number', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th><?php echo JHTML::_('grid.sort', 'COM_XTDIR_PROMOORDERS_ENTRY', 'entry_id', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th><?php echo JHTML::_('grid.sort', 'COM_XTDIR_PROMOORDERS_USER', 'user_id', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th><?php echo JHTML::_('grid.sort', 'COM_XTDIR_PROMOORDERS_STATUS', 'order_status', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th width="80"><?php echo JHTML::_('grid.sort', 'JGLOBAL_FIELD_ID_LABEL', 'id', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>
							</tr>
							<tr>
								<td></td>

								<td><?php

									echo JHTML::_('calendar', $this->getModel()->getState('created'), 'created', 'created', '%Y-%m-%d', array('class' => 'input-small'));

								?>
								</td>

								<td><input type="text" name="order_number" value="<?php
									echo $this->escape($this->getModel()->getState('order_number'));
									?>" class="input-medium" onchange="document.adminForm.submit();"/>
								</td>

								<td><input type="text" name="entry" value="<?php
									echo $this->escape($this->getModel()->getState('entry'));
									?>" class="input-medium" onchange="document.adminForm.submit();"/>
								</td>

								<td><input type="text" name="user" value="<?php
									echo $this->escape($this->getModel()->getState('user'));
									?>" class="input-medium" onchange="document.adminForm.submit();"/>
								</td>

								<td><?php

								echo EHtmlSelect::selectTypename(
										'Orderstatuses',
										'XtdirModel',
										$this->getModel()->getState('order_status'),
										'order_status',
										array('onchange' => 'this.form.submit();', 'class' => 'input-medium')
									);

								?></td>

								<td></td>
							</tr>
						</thead>

						<tfoot>
							<tr>
								<td colspan="20"><?php
								EHtml::renderPagination($this);
								?>
								</td>
							</tr>
						</tfoot>

						<tbody>
							<?php

							if ($count = count($this->items))
							{
								$i = 0;
								$m = 1;

								foreach ($this->items as $item)
								{
									$m = 1 - $m;

									$checkedout = ($item->checked_out != 0);
									$entry = SobiProHelper::loadAndExtend($item->entry_id);
									?>
							<tr class="row<?php echo $m?>">

								<td><?php echo JHTML::_('grid.id', $i, $item->id, $checkedout); ?>
								</td>
								<td><?php

									echo EHtmlGrid::lockedWithIcons($checkedout);

								?>
								<a href="index.php?option=com_xtdir&view=promoorder&task=edit&id=<?php echo (int) $item->id ?>"> <?php

									echo JHtml::_('date', $item->created, JText::_('COM_XTDIR_DATE_FORMAT'));

								?>
								</a>
								</td>

								<td><a href="index.php?option=com_xtdir&view=promoorder&task=edit&id=<?php echo (int) $item->id ?>"> <?php

									echo $item->order_number;

								?>
								</a>
								</td>

								<td><?php

									if ($entry)
									{
										echo SobiproHelper::shownEntryName($entry);
										echo ' (' . $entry->get('id') . ')';
									}
									else
									{
										echo '<span class="text-error"><i>' . $item->entry_id . '</i></span>';
									}
								?>
								</td>

								<td><?php

								if (isset($item->user_id))
								{
									echo htmlentities($item->username, ENT_COMPAT, 'UTF-8');
								}
								else
								{
									echo JText::_('COM_XTDIR_GUEST');
								}

								?></td>

								<td><?php

								$icon = '-';
								$class = '';

								switch ($item->order_status)
								{
									case 'P';
										$icon = 'xticon xticon-time';
										$class = 'text-warning';
									break;
									case 'C';
										$icon = 'xticon xticon-times-circle';
										$class = '-';
									break;
									case 'O';
										$icon = 'xticon xticon-check';
										$class = 'text-success';
									break;
								}

								echo '<span class="' . $class . '">';
								echo '<i class="' . $icon . '"></i> ';
								echo EHtmlSelect::getTypename('Orderstatuses', 'XtdirModel', $item->order_status);
								echo '</span>';

								$now = JFactory::getDate();
								$promoted_since = JFactory::getDate($item->promoted_since);
								$promoted_until = JFactory::getDate($item->promoted_until);

								if ($item->promoted_until == '0000-00-00 00:00:00')
								{
									echo '<!-- ACTIVE -->';
								}
								elseif ($now <= $promoted_until)
								{
									echo ' <span class="text-warning">';
									echo '<i class="xticon xticon-calendar"></i>';
									echo '</span>';
								}
								elseif ($now >= $promoted_until)
								{
									echo ' <span class="text-warning">';

									// <a href="#" data-toggle="tooltip" href="#" data-original-title="Default tooltip">
									echo '<i class="xticon xticon-stop"></i>';
									echo '</span>';
								}

								if (!empty($item->payment_price))
								{
									echo ' - $'
										. number_format($item->payment_price, 2);
								}

								?>
								</td>

								<td><?php

									echo $item->id;

								?>
								</td>
							</tr>
							<?php
									$i++;
								}

								?>
							<?php
							}
							else
							{
								?>
							<tr>
								<td colspan="10" align="center"><?php echo JText::_('COM_XTDIR_COMMON_NOITEMS_LABEL') ?>
								</td>
							</tr>
							<?php
							}
							?>
						</tbody>
					</table>

				</form>

			</div>
		</div>
	</div>
</div>
