<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

?>
<div class="alert alert-warning">
	<h5>
	NOTE: You must manually create MySQL Full-Text Indexes. Do NOT enable it unless you know how it works.
	</h5>
	<p>
	<a href="http://dev.mysql.com/doc/refman/5.6/en/fulltext-search.html" target="_blank">
		MySQL 5.6 Reference Manual :: 12 Functions and Operators :: 12.9 Full-Text Search Functions
	</a>
	</p>
<?php

	echo EHtmlSelect::yesNoControl(
			$this->item->xtform->get('ft_mode', 0),
			'xtform[ft_mode]',
			'COM_XTDIR_VIEW_SEARCH_FT_LABEL',
			'COM_XTDIR_VIEW_SEARCH_FT_DESC');

	echo EHtmlSelect::yesNoControl(
			$this->item->xtform->get('ft_mode_qe', 0),
			'xtform[ft_mode_qe]',
			'COM_XTDIR_VIEW_SEARCH_FTQE_LABEL',
			'COM_XTDIR_VIEW_SEARCH_FTQE_DESC');

	echo EHtmlSelect::yesNoControl(
			$this->item->xtform->get('sql_big_selects', 1),
			'xtform[sql_big_selects]',
			'SQL_BIG_SELECTS',
			'Enable SQL_BIG_SELECTS.');

?>
</div>
