<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$buffer[] = "(function() {";
$buffer[] = "\tgoogle.load('visualization', '1.0', {'packages':['corechart']});";
$buffer[] = "\tgoogle.setOnLoadCallback(";
$buffer[] = "\t\tfunction(){";

$data = array();
$titles = array(JText::_('COM_XTDIR_TITLE_CHART_CATEGORIES'));
$numbers = array(JText::_('COM_XTDIR_TITLE_CHART_ENTRIES'));

foreach ($totals as $total)
{
	$c = addcslashes(stripcslashes($total->name), '\'');
	$v = intval($total->c);

	$titles[] = $c;
	$numbers[] = $v;
}

$data = array($titles, $numbers);

$jsonData = json_encode($data);
$buffer[] = "\t\tvar data = google.visualization.arrayToDataTable({$jsonData});";

$chartId = 'chart_div' . $this->input->get('chart_id') . '_' . $section;

$buffer[] = "\t\tvar options = {";

// $buffer[] = "\t\t\t'title':'{$title}',";

$buffer[] = "\t\t\t'width':'auto',";
$buffer[] = "\t\t\t'height':'auto',";
$buffer[] = "\t\t\t'legend':{'position':'{$legend_position}','maxLines':{$count}}";
$buffer[] = "\t\t\t};";
$buffer[] = "\t\tvar chart = new google.visualization.ColumnChart(document.getElementById('{$chartId}'));";
$buffer[] = "\t\tchart.draw(data, options);";
$buffer[] = "\t}";
$buffer[] = "\t);";
$buffer[] = "})();";