/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global $, Request, Joomla, alert, Backbone */

define('installapp', [], function() {
	"use strict";

	var buttons = jQuery('.install-app');
	_.each(buttons, function(button) {
			var $button = jQuery(button), $controls = $button.parent('.controls');
			
			$button.xtajaxbutton(function(response) {
				var message = $controls.find('.xt-ajax-message'), r;
				try
				{
					r = JSON.parse(response);
					if ((r) && (_.isObject(r))) {
						message.val(r.type + ': ' + r.text);
						$button.addClass('disabled');
					} else {
						message.val(response);
					}
				} catch (e) {
					message.val(response);
				}
			});
		}
	);

});
