<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

?>
	<tr style="white-space: nowrap">
		<?php
		if ($hasAjaxOrderingSupport !== false)
		{
		?>
		<td></td>
		<?php
		}
		?>

		<td><input type="checkbox" name="toggle" value=""
			onclick="Joomla.checkAll(this);" />
		</td>

		<td class="form-inline" style="white-space: nowrap">
			<div class="input-append">
				<input type="text" name="name" id="name" value="<?php
					echo $this->escape($this->getModel()->getState('name'));
				?>" class="input-medium span6" onchange="document.adminForm.submit();"
				placeholder="<?php echo JText::_('JSEARCH_FILTER_SUBMIT') ?>" />

				<button class="btn" onclick="this.form.submit();">
					<?php echo JText::_('COM_XTDIR_FILTER_SUBMIT'); ?>
					<img src="<?php echo $this->get('blankImage'); ?>" height="20">
				</button>
			</div>

			<a class="xtd-btn-reset"><small><?php echo JText::_('COM_XTDIR_RESET'); ?></small></a>
		</td>

		<td><?php
			echo SelectControlHelper::sectionlist(
				$this->getModel()->getState('section_id'),
				'section_id',
				array('onchange' => 'this.form.submit();', 'class' => 'input-medium span5')
			) . ' ';

			echo SelectControlHelper::categorylist(
				$this->getModel()->getState('category_id'),
				'category_id',
				array('onchange' => 'this.form.submit();', 'class' => 'input-medium span6'),
				'category_id',
				$this->getModel()->getState('section_id')
			);
		?>
		</td>

		<?php

		$options = array();
		$options[] = array('name' => '-', 'value' => 2);
		$options[] = array('name' => '<i class="xticon xticon-check"></i>&nbsp;', 'value' => 1);
		$options[] = array('name' => '<i class="xticon xticon-times-circle"></i>&nbsp;', 'value' => 0);
		$btn = EHtmlSelect::btnGroupList(
			$this->getModel()->getState('state', 2),
			'state',
			array('onchange-submit' => 'true', 'class' => 'btn-mini'),
			$options
			);
		echo '<td>' . $btn . '</td>';

		$options = array();
		$options[] = array('name' => '-', 'value' => 2);
		$options[] = array('name' => '<i class="xticon xticon-thumbs-up"></i>&nbsp;', 'value' => 1);
		$options[] = array('name' => '<i class="xticon xticon-thumbs-down"></i>&nbsp;', 'value' => 0);
		$btn = EHtmlSelect::btnGroupList(
				$this->getModel()->getState('approved', 2),
				'approved',
				array('onchange-submit' => 'true', 'class' => 'btn-mini'),
				$options
		);
		echo '<td>' . $btn . '</td>';

		$btn = SelectControlHelper::promotypeBtngroup(
					$this->getModel()->getState('promotype_id', 0),
					'promotype_id',
					array('onchange-submit' => 'true', 'class' => 'btn-mini')
				);
		echo '<td class="' . (XTDIR_PROMOTED_ENTRIES ? '' : 'hide') . '">' . $btn . '</td>';

		?>

		<?php
		if (($hasAjaxOrderingSupport === false) && (XTDIR_PROMOTED_ENTRIES))
		{
		?>
		<td></td>
		<?php
		}
		?>

		<td></td>
	</tr>
</thead>