<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');

JHtml::_('behavior.formvalidation');

?>

<div class="extly">
	<div class="extly-body">
			<?php
				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';

				if ($this->get('ajax_index'))
				{
					include_once JPATH_XTDIR . '/views/system/tmpl/index_progress.php';
				}
			?>

		<form name="adminForm" id="adminForm" action="index.php" method="post" class="form form-horizontal">

			<input type="hidden" name="option" value="com_xtdir" />
			<input type="hidden" name="view" value="promoentriescfgs" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="returnurl" value="<?php

			echo base64_encode('index.php?option=com_xtdir&view=cpanels');

			?>" />
			<input type="hidden" id="token" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

			<div class="row-fluid">
				<div class="span12">
					<legend>
						<?php echo JText::_('COM_XTDIR_TITLE_PROMOENTRIESCFGS_EDIT'); ?>
					</legend>
				</div>
			</div>

			<div class="row-fluid">
				<div class="span12">
					<fieldset class="all_fields">

<?php
					echo '<div class="row-fluid"><div class="span6">';

					echo EHtmlSelect::booleanListControl(
							$this->item->enabled,
							'enabled', 'JSTATUS',
							'JSTATUS_DESC',
							'JPUBLISHED',
							'JUNPUBLISHED');

					$control = EHtmlSelect::selectTypename(
							'Sorttypes',
							'XtdirModel',
							$this->item->xtform->get('sorttype_id', 'M'),
							'xtform[sorttype_id]',
							array(
									'class' => 'required',
									'required' => 'required'
							)
					);
					echo EHtml::genericControl(
							'COM_XTDIR_VIEW_PROMOTION_SORTTYPE_TITLE',
							'COM_XTDIR_VIEW_PROMOTION_SORTTYPE_DESC',
							'category_id',
							$control
					);

					echo EHtml::idControl(
							$this->item->extension_id,
							'extension_id');
?>

					<h4>
						<?php echo JText::_('COM_XTDIR_TITLE_PROMOENTRIES_APPS'); ?>
					</h4>

					<h5>
						<a href="../media/com_xtdir/apps/app_xtd_promotedentries.zip"><i class="xticon xticon-download"></i></a>
						<?php echo JText::_('COM_XTDIR_TITLE_PROMOENTRIES_APP'); ?>
					</h5>
					<p>
<?php

					echo SobiproHelper::spAppInstallControl(
							'promotedentries',
							'index.php?option=com_xtdir&view=promoentriescfgs&task=installPromoEntriesApp&_token=' . JFactory::getSession()->getFormToken(),
							'media/com_xtdir/apps/app_xtd_promotedentries.zip'
					);
?>
					</p>

					<h5>
						<a href="../media/com_xtdir/apps/app_xtd_promoinformation.zip"><i class="xticon xticon-download"></i></a>
						<?php echo JText::_('COM_XTDIR_TITLE_PROMOENTRIES_INFOAPP'); ?>
					</h5>
					<p>
<?php
					echo SobiproHelper::spAppInstallControl(
							'promotedentries_field',
							'index.php?option=com_xtdir&view=promoentriescfgs&task=installPromoInformationApp&_token=' . JFactory::getSession()->getFormToken(),
							'media/com_xtdir/apps/app_xtd_promoinformation.zip'
					);
?>
					</p>

<?php
					echo '</div>';
					echo '<div class="span5">';

					include_once JPATH_XTDIR . '/views/system/tmpl/sectionlist.php';

					$fieldname = SelectControlHelper::fieldlist(
							$this->item->xtform->get('suborder_field'),
							'xtform[suborder_field]',
							array(),
							null,
							'suborder_field',
							null,
							'inbox'
					);
					echo EHtml::genericControl(
							'COM_XTDIR_VIEW_PROMOTION_SUBORDER_LABEL',
							'COM_XTDIR_VIEW_PROMOTION_SUBORDER_DESC',
							'suborder_field',
							$fieldname
					);

					include_once JPATH_XTDIR . '/views/promoentriescfg/tmpl/howitworks.php';

					echo '</div></div>';

?>

					</fieldset>
				</div>

			</div>
		</form>
	</div>
</div>
