<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');
JHtml::_('behavior.formvalidation');

?>
<div class="extly">
	<div class="extly-body">
			<?php
				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';
			?>

		<form name="adminForm" id="adminForm" action="index.php" method="post" class="form form-horizontal form-validate">
			<input type="hidden" name="option" value="com_xtdir" />
			<input type="hidden" name="view" value="promotions" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" id="token" />

			<div class="row-fluid">

				<div class="span6">

					<fieldset class="basic">

						<legend><?php echo JText::_('COM_XTDIR_VIEW_PROMOTION_OPTIONS_TITLE'); ?></legend>
<?php

						echo EHtml::requiredTextControl($this->item->name, 'name', 'COM_XTDIR_VIEW_PROMOTION_NAME_TITLE', 'COM_XTDIR_VIEW_PROMOTION_NAME_DESC');

						$control = EHtmlSelect::selectTypename(
										'Promotypes',
										'XtdirModel',
										$this->item->get('promotype_id', 'S'),
										'promotype_id',
										array('required' => 'required', 'class' => 'required'),
										'promotype_id'
									);
						echo EHtml::genericControl(
								'COM_XTDIR_VIEW_PROMOTION_PROMOTYPE_TITLE',
								'COM_XTDIR_VIEW_PROMOTION_PROMOTYPE_DESC',
								'promotype_id',
								$control
						);


						$control = SelectControlHelper::sectionlist(
										$this->item->get('section_id'),
										'section_id',
										array('class' => 'required', 'required' => 'required')
									);
						echo EHtml::genericControl(
								'COM_XTDIR_VIEW_PROMOTION_SECTION_TITLE',
								'COM_XTDIR_VIEW_PROMOTION_SECTION_DESC',
								'section_id',
								$control
						);

						$control = SelectControlHelper::categorylist(
								$this->item->category_id,
								'category_id',
								array(
									'class' => 'required',
									'required' => 'required'
								),
								'category_id',
								$this->item->section_id
						);
						echo EHtml::genericControl(
								'COM_XTDIR_VIEW_PROMOTION_CATEGORY_TITLE',
								'COM_XTDIR_VIEW_PROMOTION_CATEGORY_DESC',
								'category_id',
								$control,
								'category-selection'
						);


						$control = EHtmlSelect::selectTypename(
										'Tiertypes',
										'XtdirModel',
										$this->item->get('tiertype_id', 'M'),
										'tiertype_id',
										array(
											'class' => 'required',
											'required' => 'required'
										),
										'tiertype_id'
									);
						echo EHtml::genericControl(
								'COM_XTDIR_VIEW_PROMOTION_TIERTYPE_TITLE',
								'COM_XTDIR_VIEW_PROMOTION_TIERTYPE_DESC',
								'category_id',
								$control
						);

						echo EHtmlSelect::publishedControl($this->item->get('published'), 'published');
						echo EHtml::idControl(
								$this->item->id,
								'id',
								'promotion_id'
						);
					?>

					</fieldset>

				</div>

				<div class="span6">
					<fieldset class="advanced">
						<legend>
							<span class="loaderspinner">&nbsp;</span>
						</legend>
<?php

					echo EHtml::requiredTextControl($this->item->ordering, 'ordering', 'COM_XTDIR_VIEW_PROMOTION_ORDERING_TITLE', 'COM_XTDIR_VIEW_PROMOTION_ORDERING_DESC');

					$control = '<input type="text" name="expiration" id="expiration" value="' .
						htmlentities($this->item->expiration, 0) .
						'" class="required span2 inline validate-numeric" maxlength="8" />';
					$control .= EHtmlSelect::btnGroupTypename(
									'Units',
									'XtdirModel',
									$this->item->get('unit', 'D'),
									'unit',
									array(
										'class' => 'required inline',
										'required' => 'required'
									)
								);
					echo EHtml::genericControl(
							'COM_XTDIR_VIEW_PROMOTION_EXPIRATION_TITLE',
							'COM_XTDIR_VIEW_PROMOTION_EXPIRATION_DESC',
							'expiration',
							$control,
							'expiration-group'
					);


?>
					<div class="dynamic-field">

						<legend><?php echo JText::_('COM_XTDIR_VIEW_PROMOTION_DYNAMIC_FIELD_LEGEND'); ?></legend>

<?php
					$control = SelectControlHelper::fieldlist(
						$this->item->field_id,
						'field_id',
						array(),
						null,
						null,
						$this->item->section_id
					);
					echo EHtml::genericControl(
							'COM_XTDIR_VIEW_PROMOTION_FIELDID_TITLE',
							'COM_XTDIR_VIEW_PROMOTION_FIELDID_DESC',
							'field_id',
							$control
					);


					echo EHtml::textControl(
						$this->item->field_value,
						'field_value',
						'COM_XTDIR_VIEW_PROMOTION_FIELDVALUE_TITLE',
						'COM_XTDIR_VIEW_PROMOTION_FIELDVALUE_DESC'
					);

				?>
				</div>

				</fieldset>

				<?php
					include_once JPATH_XTDIR . '/views/promoentriescfg/tmpl/howitworks.php';
				?>
			</div>
		</form>
	</div>
</div>
