<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');
?>
<div class="row-fluid">
	<div class="span12">
		<div class="well">
			<div class="alert">
				<?php echo JText::_('COM_XTDIR_VIEW_SEARCH_INFORMATION'); ?>
			</div>
			<legend>
				<?php echo JText::_('COM_XTDIR_VIEW_SEARCH_FIELDS'); ?>
			</legend>

<?php
			$search_field_list = $this->search_field_list;

			if (count($search_field_list) > 0)
			{
?>

			<p>
				<?php echo JText::_('COM_XTDIR_VIEW_SEARCH_FIELDS_COLORS'); ?>
			</p>
			<table class="table table-striped table-bordered">
				<thead>
					<tr>
						<th>Section</th>
						<th>Field</th>
					</tr>
				</thead>
				<tbody>
<?php
					$parent = null;

					foreach ($search_field_list as $field)
					{
						if ($field->section != $parent)
						{
							$level = 0;
							$parent = $field->section;
						}
						else
						{
							$level++;
						}

						$class = "info";

						if (($level > 3) && ($level <= 6))
						{
							$class = "warning";
						}
						elseif ($level > 6)
						{
							$class = "error";
						}

						echo "<tr class=\"{$class}\"><td>";
						$section = SPFactory::object($field->section);
						echo $section->name . ' (' . $field->section . ')';
						echo '</td><td>';
						echo $field->nid . ' (' . $field->fid . ')';
						echo '</td></tr>';
					}
?>
				</tbody>
			</table>
<?php
			}
?>
		</div>
	</div>

</div>
